summaryrefslogtreecommitdiff
path: root/misc/KeePassHttp/KeePassHttp.SlackBuild
diff options
context:
space:
mode:
authorThomas Szteliga <ts@websafe.pl>2016-11-02 20:59:16 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2016-11-02 22:53:00 +0700
commitae7f55c495c868b4f85266fb1026e9fedd00749b (patch)
tree72b35065daf651828a244cb744dc966cff3900bd /misc/KeePassHttp/KeePassHttp.SlackBuild
parent3c8c0fbe365be786767e1e7ae4d7f8681d99ccec (diff)
downloadslackbuilds-ae7f55c495c868b4f85266fb1026e9fedd00749b.tar.gz
misc/KeePassHttp: Added (plugin for KeePass).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'misc/KeePassHttp/KeePassHttp.SlackBuild')
-rw-r--r--misc/KeePassHttp/KeePassHttp.SlackBuild67
1 files changed, 67 insertions, 0 deletions
diff --git a/misc/KeePassHttp/KeePassHttp.SlackBuild b/misc/KeePassHttp/KeePassHttp.SlackBuild
new file mode 100644
index 0000000000..f397e9e009
--- /dev/null
+++ b/misc/KeePassHttp/KeePassHttp.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for KeePassHttp
+
+# Copyright (c) 2016 Thomas Szteliga <ts@websafe.pl>, Opole, PL
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
+
+PRGNAM=KeePassHttp
+VERSION=${VERSION:-1.8.4.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cp $CWD/KeePassHttp.plgx \
+ $CWD/LICENSE \
+ $CWD/README.md \
+ $PRGNAM-$VERSION/
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/lib/KeePass
+cp -a KeePassHttp.plgx $PKG/usr/lib/KeePass
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}